Package com.sun.jna.platform.win32

## Class Winsvc.SERVICE_TABLE_ENTRY

- java.lang.Object
- - com.sun.jna.Structure
  - - com.sun.jna.platform.win32.Winsvc.SERVICE_TABLE_ENTRY

- Enclosing interface:
    Winsvc

      @FieldOrder({"lpServiceName","lpServiceProc"})
      public static class Winsvc.SERVICE_TABLE_ENTRY
      extends Structure

  Specifies the ServiceMain function for a service that can run in the calling process. It is used by the StartServiceCtrlDispatcher function.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class com.sun.jna.Structure

      `Structure.ByReference, Structure.ByValue, Structure.FieldOrder, Structure.StructField`

  - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `java.lang.String` | `lpServiceName` | The name of a service to be run in this service process.
    `Winsvc.SERVICE_MAIN_FUNCTION` | `lpServiceProc` |

    - ### Fields inherited from class com.sun.jna.Structure

      `ALIGN_DEFAULT, ALIGN_GNUC, ALIGN_MSVC, ALIGN_NONE, CALCULATE_SIZE`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `SERVICE_TABLE_ENTRY()` |

  - ### Method Summary

    - ### Methods inherited from class com.sun.jna.Structure

      `allocateMemory, allocateMemory, autoAllocate, autoRead, autoRead, autoWrite, autoWrite, cacheTypeInfo, calculateSize, clear, createFieldsOrder, createFieldsOrder, createFieldsOrder, createFieldsOrder, dataEquals, dataEquals, ensureAllocated, equals, fieldOffset, getAutoRead, getAutoWrite, getFieldList, getFieldOrder, getFields, getNativeAlignment, getNativeSize, getNativeSize, getPointer, getStringEncoding, getStructAlignment, hashCode, newInstance, newInstance, read, readField, readField, setAlignType, setAutoRead, setAutoSynch, setAutoWrite, setStringEncoding, size, sortFields, toArray, toArray, toString, toString, useMemory, useMemory, write, writeField, writeField, writeField`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### lpServiceName

          public java.lang.String lpServiceName

      The name of a service to be run in this service process.

      If the service is installed with the SERVICE_WIN32_OWN_PROCESS service type, this member is ignored, but cannot be NULL. This member can be an empty string ("").

      If the service is installed with the SERVICE_WIN32_SHARE_PROCESS service type, this member specifies the name of the service that uses the ServiceMain function pointed to by the lpServiceProc member.

    - #### lpServiceProc

          public Winsvc.SERVICE_MAIN_FUNCTION lpServiceProc

  - ### Constructor Detail

    - #### SERVICE_TABLE_ENTRY

          public SERVICE_TABLE_ENTRY()